Duda sobre beryl y XGL con tarjetas ATI

Imagen de nightrain
0 puntos

Hola a todos.

No llevo demasiado tiempo con ubuntu y me surgen algunas dudas. En concreto tengo una sobre beryl y XGL.

En mi PC de sobremesa instalé en su día Ubuntu edgy; en ese PC tengo una tarjeta ATI. Ví el tema de beryl y seguí un tutorial para instalarlo, par alo cual primero tuve que instalar XGL, el driver de la ATI y finalmente beryl. Todo me función perfectamente. Hace unos días actualicé a feisty y se actualizó beryl. Tuve que forzar el paquete beryl-core a la versión 0.2.0 (en lugar de la 0.2.1) para que funcionase con feisty y XGL; ningún problema.

Tengo un portátil (HP nx9010) en el cual instalé feisty cuando aún no era ni beta y lo he ido actualizando hasta la versión definitiva. Tenía habilitados los efectos del escritorio (compiz) pero me dije, vamos a probar a instalar los paquetes de beryl a ver si funcionan. Este portátil tiene una tarjeta poco potente, una ATI IGP serie 300 con 64mb de memoria compartida. El caso es que tras instalar beryl todo funcionó perfectamente; obviamente no va tan rápido como en el PC de sobremesa pero entre la tarjeta que usa memoria compartida y que el ordenador tiene 512mb lo considero normal. Lo que me ha parecido raro es que no he tenido que instalar XGL para nada, y yo creía, tras instalar beryl en el PC, que era un requisito imprescindible para que beryl funcionase con las ATI.

Así que mi duda es si instalar XGL en el portátil tendría alguna ventaja o no, siempre y cuando sea posible hacerlo teniendo en cuenta la tarjeta gráfica que tiene. Y ya de paso, ¿para qué sirve exactamente XGL? ¿Y AIGLX?

Gracias de antemano.

Imagen de Orejapico
+1
0
-1

En el portátil no tuviste que instalar XGL porque Feisty ya trae AIGLX de serie, con lo cual no es necesario.

 Y XGL se diferencia de AIGLX básicamente en que XGL es un servidor de escritorio alternativo a Xorg que permite trabajar a Beryl sobre él, mientras que AIGLX es un conjunto de extensiones para el servidor de escritorio por defecto (Xorg), que lo habilitan para soportar Beryl. A grandes rasgos, la diferencia es esa.

+1
0
-1

 

**************************************************************

-Si en la caja dice "Funciona en Windows XP o superior", ¿por qué no consigo arrancarlo en mi Ubuntu?

 

Imagen de nightrain
+1
0
-1

Gracias.

Ya tengo un poco más claros los conceptos estos que eran nuevos para mí.

+1
0
-1